/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateLoadBalancerPolicyInput } from "../types/CreateLoadBalancerPolicyInput";
import { CreateLoadBalancerPolicyOutput } from "../types/CreateLoadBalancerPolicyOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/CreateLoadBalancerPolicyInput";
export * from "../types/CreateLoadBalancerPolicyOutput";
export * from "../types/CreateLoadBalancerPolicyExceptionsUnion";
export declare class CreateLoadBalancerPolicyCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateLoadBalancerPolicyInput, OutputTypesUnion, CreateLoadBalancerPolicyOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: CreateLoadBalancerPolicyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateLoadBalancerPolicyInput, CreateLoadBalancerPolicyOutput, _stream.Readable>;
    constructor(input: CreateLoadBalancerPolicyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<CreateLoadBalancerPolicyInput, CreateLoadBalancerPolicyOutput>;
}
