/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeregisterInstancesFromLoadBalancerInput } from "../types/DeregisterInstancesFromLoadBalancerInput";
import { DeregisterInstancesFromLoadBalancerOutput } from "../types/DeregisterInstancesFromLoadBalancerOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/DeregisterInstancesFromLoadBalancerInput";
export * from "../types/DeregisterInstancesFromLoadBalancerOutput";
export * from "../types/DeregisterInstancesFromLoadBalancerExceptionsUnion";
export declare class DeregisterInstancesFromLoadBalancerCommand implements __aws_sdk_types.Command<InputTypesUnion, DeregisterInstancesFromLoadBalancerInput, OutputTypesUnion, DeregisterInstancesFromLoadBalancerOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: DeregisterInstancesFromLoadBalancerInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeregisterInstancesFromLoadBalancerInput, DeregisterInstancesFromLoadBalancerOutput, _stream.Readable>;
    constructor(input: DeregisterInstancesFromLoadBalancerInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<DeregisterInstancesFromLoadBalancerInput, DeregisterInstancesFromLoadBalancerOutput>;
}
