"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateAppCookieStickinessPolicyInput_1 = require("../shapes/CreateAppCookieStickinessPolicyInput");
const CreateAppCookieStickinessPolicyOutput_1 = require("../shapes/CreateAppCookieStickinessPolicyOutput");
const AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
const DuplicatePolicyNameException_1 = require("../shapes/DuplicatePolicyNameException");
const TooManyPoliciesException_1 = require("../shapes/TooManyPoliciesException");
const InvalidConfigurationRequestException_1 = require("../shapes/InvalidConfigurationRequestException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateAppCookieStickinessPolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateAppCookieStickinessPolicy",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateAppCookieStickinessPolicyInput_1.CreateAppCookieStickinessPolicyInput
    },
    output: {
        shape: CreateAppCookieStickinessPolicyOutput_1.CreateAppCookieStickinessPolicyOutput,
        resultWrapper: "CreateAppCookieStickinessPolicyResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: DuplicatePolicyNameException_1.DuplicatePolicyNameException
        },
        {
            shape: TooManyPoliciesException_1.TooManyPoliciesException
        },
        {
            shape: InvalidConfigurationRequestException_1.InvalidConfigurationRequestException
        }
    ]
};
//# sourceMappingURL=CreateAppCookieStickinessPolicy.js.map