"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteLoadBalancerListenersInput_1 = require("../shapes/DeleteLoadBalancerListenersInput");
const DeleteLoadBalancerListenersOutput_1 = require("../shapes/DeleteLoadBalancerListenersOutput");
const AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteLoadBalancerListeners = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteLoadBalancerListeners",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteLoadBalancerListenersInput_1.DeleteLoadBalancerListenersInput
    },
    output: {
        shape: DeleteLoadBalancerListenersOutput_1.DeleteLoadBalancerListenersOutput,
        resultWrapper: "DeleteLoadBalancerListenersResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        }
    ]
};
//# sourceMappingURL=DeleteLoadBalancerListeners.js.map