/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeAccountLimitsInput } from "../types/DescribeAccountLimitsInput";
import { DescribeAccountLimitsOutput } from "../types/DescribeAccountLimitsOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/DescribeAccountLimitsInput";
export * from "../types/DescribeAccountLimitsOutput";
export * from "../types/DescribeAccountLimitsExceptionsUnion";
export declare class DescribeAccountLimitsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeAccountLimitsInput, OutputTypesUnion, DescribeAccountLimitsOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeAccountLimitsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeAccountLimitsInput, DescribeAccountLimitsOutput, _stream.Readable>;
    constructor(input: DescribeAccountLimitsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<DescribeAccountLimitsInput, DescribeAccountLimitsOutput>;
}
