/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeLoadBalancersInput } from "../types/DescribeLoadBalancersInput";
import { DescribeLoadBalancersOutput } from "../types/DescribeLoadBalancersOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/DescribeLoadBalancersInput";
export * from "../types/DescribeLoadBalancersOutput";
export * from "../types/DescribeLoadBalancersExceptionsUnion";
export declare class DescribeLoadBalancersCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeLoadBalancersInput, OutputTypesUnion, DescribeLoadBalancersOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeLoadBalancersInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeLoadBalancersInput, DescribeLoadBalancersOutput, _stream.Readable>;
    constructor(input: DescribeLoadBalancersInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<DescribeLoadBalancersInput, DescribeLoadBalancersOutput>;
}
