/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RegisterInstancesWithLoadBalancerInput } from "../types/RegisterInstancesWithLoadBalancerInput";
import { RegisterInstancesWithLoadBalancerOutput } from "../types/RegisterInstancesWithLoadBalancerOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/RegisterInstancesWithLoadBalancerInput";
export * from "../types/RegisterInstancesWithLoadBalancerOutput";
export * from "../types/RegisterInstancesWithLoadBalancerExceptionsUnion";
export declare class RegisterInstancesWithLoadBalancerCommand implements __aws_sdk_types.Command<InputTypesUnion, RegisterInstancesWithLoadBalancerInput, OutputTypesUnion, RegisterInstancesWithLoadBalancerOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: RegisterInstancesWithLoadBalancerInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RegisterInstancesWithLoadBalancerInput, RegisterInstancesWithLoadBalancerOutput, _stream.Readable>;
    constructor(input: RegisterInstancesWithLoadBalancerInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<RegisterInstancesWithLoadBalancerInput, RegisterInstancesWithLoadBalancerOutput>;
}
