/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SetLoadBalancerListenerSSLCertificateInput } from "../types/SetLoadBalancerListenerSSLCertificateInput";
import { SetLoadBalancerListenerSSLCertificateOutput } from "../types/SetLoadBalancerListenerSSLCertificateOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/SetLoadBalancerListenerSSLCertificateInput";
export * from "../types/SetLoadBalancerListenerSSLCertificateOutput";
export * from "../types/SetLoadBalancerListenerSSLCertificateExceptionsUnion";
export declare class SetLoadBalancerListenerSSLCertificateCommand implements __aws_sdk_types.Command<InputTypesUnion, SetLoadBalancerListenerSSLCertificateInput, OutputTypesUnion, SetLoadBalancerListenerSSLCertificateOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: SetLoadBalancerListenerSSLCertificateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SetLoadBalancerListenerSSLCertificateInput, SetLoadBalancerListenerSSLCertificateOutput, _stream.Readable>;
    constructor(input: SetLoadBalancerListenerSSLCertificateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<SetLoadBalancerListenerSSLCertificateInput, SetLoadBalancerListenerSSLCertificateOutput>;
}
