/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SetLoadBalancerPoliciesForBackendServerInput } from "../types/SetLoadBalancerPoliciesForBackendServerInput";
import { SetLoadBalancerPoliciesForBackendServerOutput } from "../types/SetLoadBalancerPoliciesForBackendServerOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/SetLoadBalancerPoliciesForBackendServerInput";
export * from "../types/SetLoadBalancerPoliciesForBackendServerOutput";
export * from "../types/SetLoadBalancerPoliciesForBackendServerExceptionsUnion";
export declare class SetLoadBalancerPoliciesForBackendServerCommand implements __aws_sdk_types.Command<InputTypesUnion, SetLoadBalancerPoliciesForBackendServerInput, OutputTypesUnion, SetLoadBalancerPoliciesForBackendServerOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: SetLoadBalancerPoliciesForBackendServerInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SetLoadBalancerPoliciesForBackendServerInput, SetLoadBalancerPoliciesForBackendServerOutput, _stream.Readable>;
    constructor(input: SetLoadBalancerPoliciesForBackendServerInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<SetLoadBalancerPoliciesForBackendServerInput, SetLoadBalancerPoliciesForBackendServerOutput>;
}
