"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateLBCookieStickinessPolicyInput_1 = require("../shapes/CreateLBCookieStickinessPolicyInput");
const CreateLBCookieStickinessPolicyOutput_1 = require("../shapes/CreateLBCookieStickinessPolicyOutput");
const AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
const DuplicatePolicyNameException_1 = require("../shapes/DuplicatePolicyNameException");
const TooManyPoliciesException_1 = require("../shapes/TooManyPoliciesException");
const InvalidConfigurationRequestException_1 = require("../shapes/InvalidConfigurationRequestException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateLBCookieStickinessPolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateLBCookieStickinessPolicy",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateLBCookieStickinessPolicyInput_1.CreateLBCookieStickinessPolicyInput
    },
    output: {
        shape: CreateLBCookieStickinessPolicyOutput_1.CreateLBCookieStickinessPolicyOutput,
        resultWrapper: "CreateLBCookieStickinessPolicyResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: DuplicatePolicyNameException_1.DuplicatePolicyNameException
        },
        {
            shape: TooManyPoliciesException_1.TooManyPoliciesException
        },
        {
            shape: InvalidConfigurationRequestException_1.InvalidConfigurationRequestException
        }
    ]
};
//# sourceMappingURL=CreateLBCookieStickinessPolicy.js.map