"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateLoadBalancerListenersInput_1 = require("../shapes/CreateLoadBalancerListenersInput");
const CreateLoadBalancerListenersOutput_1 = require("../shapes/CreateLoadBalancerListenersOutput");
const AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
const DuplicateListenerException_1 = require("../shapes/DuplicateListenerException");
const CertificateNotFoundException_1 = require("../shapes/CertificateNotFoundException");
const InvalidConfigurationRequestException_1 = require("../shapes/InvalidConfigurationRequestException");
const UnsupportedProtocolException_1 = require("../shapes/UnsupportedProtocolException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateLoadBalancerListeners = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateLoadBalancerListeners",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateLoadBalancerListenersInput_1.CreateLoadBalancerListenersInput
    },
    output: {
        shape: CreateLoadBalancerListenersOutput_1.CreateLoadBalancerListenersOutput,
        resultWrapper: "CreateLoadBalancerListenersResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: DuplicateListenerException_1.DuplicateListenerException
        },
        {
            shape: CertificateNotFoundException_1.CertificateNotFoundException
        },
        {
            shape: InvalidConfigurationRequestException_1.InvalidConfigurationRequestException
        },
        {
            shape: UnsupportedProtocolException_1.UnsupportedProtocolException
        }
    ]
};
//# sourceMappingURL=CreateLoadBalancerListeners.js.map