"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteLoadBalancerInput_1 = require("../shapes/DeleteLoadBalancerInput");
const DeleteLoadBalancerOutput_1 = require("../shapes/DeleteLoadBalancerOutput");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteLoadBalancer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteLoadBalancer",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteLoadBalancerInput_1.DeleteLoadBalancerInput
    },
    output: {
        shape: DeleteLoadBalancerOutput_1.DeleteLoadBalancerOutput,
        resultWrapper: "DeleteLoadBalancerResult"
    },
    errors: []
};
//# sourceMappingURL=DeleteLoadBalancer.js.map