"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeInstanceHealthInput_1 = require("../shapes/DescribeInstanceHealthInput");
const DescribeInstanceHealthOutput_1 = require("../shapes/DescribeInstanceHealthOutput");
const AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
const InvalidEndPointException_1 = require("../shapes/InvalidEndPointException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeInstanceHealth = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeInstanceHealth",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeInstanceHealthInput_1.DescribeInstanceHealthInput
    },
    output: {
        shape: DescribeInstanceHealthOutput_1.DescribeInstanceHealthOutput,
        resultWrapper: "DescribeInstanceHealthResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: InvalidEndPointException_1.InvalidEndPointException
        }
    ]
};
//# sourceMappingURL=DescribeInstanceHealth.js.map